Bookings
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptionalExample:
Filter the results. See developer resources for more information
name eq 'Adam' and age gt 20OrderBystringOptionalExample:
Sorting the results. See developer resources for more information
accountNumber DescModifiedAfterstring · date-timeOptionalExample:
Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.
2026-02-01ModifiedBeforestring · date-timeOptionalExample:
Filter is also applied on sub entities: 'bookingLines'
2026-02-01PageSizeinteger · int32OptionalExample:
Page Size
20PageNumberinteger · int32OptionalExample:
Page Number
1Header parameters
api-versionstringOptional
Responses
200
Success
application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
get
/BookingsRequired scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuidOptional
currencystring · nullableOptional
bookingTypeall ofOptional
string · enumOptionalPossible values:
accountCategoryall ofOptional
string · enumOptionalPossible values:
changeTypeall ofOptional
string · enumOptionalPossible values:
effectiveDatestring · date-timeOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
notesstring · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
get
/Bookings/{id}Last updated
Was this helpful?